Bug 215904 - yum update fails to install openoffice.org-*-2.0.4-5.5.3
yum update fails to install openoffice.org-*-2.0.4-5.5.3
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 05:22 EST by Mark Polo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 15:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Polo 2006-11-16 05:22:24 EST
Description of problem: The current updates in the yum repositories
(2.0.4-5.5.3) fails to obsolete 2.0.2-5.19.2, so that yum refuses to install them.


Version-Release number of selected component (if applicable): 2.0.4-5.5.3


How reproducible: sudo yum update


Steps to Reproduce:
1. sudo yum update
2.
3.
  
Actual results:
Transaction Check Error:   file /usr/bin/ooffice from install of
openoffice.org-core-2.0.4-5.5.3 conflicts with file from package
openoffice.org-core-2.0.2-5.19.2
  file /usr/bin/ooviewdoc from install of openoffice.org-core-2.0.4-5.5.3
conflicts with file from package openoffice.org-core-2.0.2-5.19.2
  file /usr/bin/openoffice.org-1.9 from install of
openoffice.org-core-2.0.4-5.5.3 conflicts with file from package
openoffice.org-core-2.0.2-5.19.2
  file /usr/bin/openoffice.org-2.0 from install of
openoffice.org-core-2.0.4-5.5.3 conflicts with file from package
openoffice.org-core-2.0.2-5.19.2
  file /usr/share/mime-info/openoffice.org-2.0.keys from install of
openoffice.org-core-2.0.4-5.5.3 conflicts with file from package
openoffice.org-core-2.0.2-5.19.2
  file /usr/bin/oomath from install of openoffice.org-math-2.0.4-5.5.3 conflicts
with file from package openoffice.org-math-2.0.2-5.19.2
  file /usr/share/applications/openoffice.org-1.9-math.desktop from install of
openoffice.org-math-2.0.4-5.5.3 conflicts with file from package
openoffice.org-math-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-formula.desktop from
install of openoffice.org-math-2.0.4-5.5.3 conflicts with file from package
openoffice.org-math-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-oasis-formula.desktop
from install of openoffice.org-math-2.0.4-5.5.3 conflicts with file from package
openoffice.org-math-2.0.2-5.19.2
  file /usr/bin/oocalc from install of openoffice.org-calc-2.0.4-5.5.3 conflicts
with file from package openoffice.org-calc-2.0.2-5.19.2
  file /usr/share/applications/openoffice.org-1.9-calc.desktop from install of
openoffice.org-calc-2.0.4-5.5.3 conflicts with file from package
openoffice.org-calc-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-spreadsheet-template.desktop
from install of openoffice.org-calc-2.0.4-5.5.3 conflicts with file from package
openoffice.org-calc-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-spreadsheet.desktop from
install of openoffice.org-calc-2.0.4-5.5.3 conflicts with file from package
openoffice.org-calc-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-spreadsheet-template.desktop
from install of openoffice.org-calc-2.0.4-5.5.3 conflicts with file from package
openoffice.org-calc-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-spreadsheet.desktop
from install of openoffice.org-calc-2.0.4-5.5.3 conflicts with file from package
openoffice.org-calc-2.0.2-5.19.2
  file /usr/bin/ooimpress from install of openoffice.org-impress-2.0.4-5.5.3
conflicts with file from package openoffice.org-impress-2.0.2-5.19.2
  file /usr/share/applications/openoffice.org-1.9-impress.desktop from install
of openoffice.org-impress-2.0.4-5.5.3 conflicts with file from package
openoffice.org-impress-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-presentation-template.desktop
from install of openoffice.org-impress-2.0.4-5.5.3 conflicts with file from
package openoffice.org-impress-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-presentation.desktop
from install of openoffice.org-impress-2.0.4-5.5.3 conflicts with file from
package openoffice.org-impress-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-presentation-template.desktop
from install of openoffice.org-impress-2.0.4-5.5.3 conflicts with file from
package openoffice.org-impress-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-presentation.desktop
from install of openoffice.org-impress-2.0.4-5.5.3 conflicts with file from
package openoffice.org-impress-2.0.2-5.19.2
  file /usr/bin/oodraw from install of openoffice.org-draw-2.0.4-5.5.3 conflicts
with file from package openoffice.org-draw-2.0.2-5.19.2
  file /usr/share/applications/openoffice.org-1.9-draw.desktop from install of
openoffice.org-draw-2.0.4-5.5.3 conflicts with file from package
openoffice.org-draw-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-drawing-template.desktop from
install of openoffice.org-draw-2.0.4-5.5.3 conflicts with file from package
openoffice.org-draw-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-drawing.desktop from
install of openoffice.org-draw-2.0.4-5.5.3 conflicts with file from package
openoffice.org-draw-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-drawing-template.desktop
from install of openoffice.org-draw-2.0.4-5.5.3 conflicts with file from package
openoffice.org-draw-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-oasis-drawing.desktop
from install of openoffice.org-draw-2.0.4-5.5.3 conflicts with file from package
openoffice.org-draw-2.0.2-5.19.2
  file /usr/bin/oowriter from install of openoffice.org-writer-2.0.4-5.5.3
conflicts with file from package openoffice.org-writer-2.0.2-5.19.2
  file /usr/share/applications/openoffice.org-1.9-writer.desktop from install of
openoffice.org-writer-2.0.4-5.5.3 conflicts with file from package
openoffice.org-writer-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-master-document.desktop
from install of openoffice.org-writer-2.0.4-5.5.3 conflicts with file from
package openoffice.org-writer-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-master-document.desktop
from install of openoffice.org-writer-2.0.4-5.5.3 conflicts with file from
package openoffice.org-writer-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-text-template.desktop
from install of openoffice.org-writer-2.0.4-5.5.3 conflicts with file from
package openoffice.org-writer-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-oasis-text.desktop from
install of openoffice.org-writer-2.0.4-5.5.3 conflicts with file from package
openoffice.org-writer-2.0.2-5.19.2
  file
/usr/share/mimelnk/application/openoffice.org-2.0-oasis-web-template.desktop
from install of openoffice.org-writer-2.0.4-5.5.3 conflicts with file from
package openoffice.org-writer-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-text-template.desktop
from install of openoffice.org-writer-2.0.4-5.5.3 conflicts with file from
package openoffice.org-writer-2.0.2-5.19.2
  file /usr/share/mimelnk/application/openoffice.org-2.0-text.desktop from
install of openoffice.org-writer-2.0.4-5.5.3 conflicts with file from package
openoffice.org-writer-2.0.2-5.19.2



Expected results:
Installation of the software.

Additional info:
Comment 1 Caolan McNamara 2006-11-16 05:50:56 EST
The old one is 32bit, the new one is 64bit. Is your yum configured to only
install 64bit packages ? or configured (the default) as multiarch. Looks like
yum saw only a 64bit Ooo and decided to install it in parallel with the 64bit
one, but in parallel with the old 2.0.2 FC-5 one, not in parallel with the 2.0.4
FC-6 32bit one.
Comment 2 Mark Polo 2006-11-17 06:52:52 EST
I haven't changed the configuration, so it should be multiarch. So do I have to
manually uninstall the old one?
Comment 3 Caolan McNamara 2006-11-17 07:36:19 EST
yeah, give that a go.
Comment 4 Mark Polo 2006-11-17 15:59:06 EST
O.K. That resolved the issue, though not answering where the problem came from
in the first place (not to mention being a pain in the neck). But after doing
this, yum update works reliably again. Thanks.

Note You need to log in before you can comment on or make changes to this bug.